const log4js = require("log4js");

log4js.configure({
    "appenders" : {
        "dateFile" : {
            "type" : "dateFile",
            "filename" : "logs/cheese",
            "alwaysIncludePattern" : true,
            "pattern" : ".yyyy-MM-dd.log",
            "compress" : true,
        },
        "file" : {
            "type" : "file",
            "filename" : "./logs/<%=projectName%>.log",
            "encoding" : 'utf-8'
        },
        "console" : {
            "type" : "console"
        }
    },
    "categories" : {
        "default" : {
            "appenders" : [ "file" ],
            "level" : "info"
        },
        "development" : {
            "appenders" : [ "console" ],
            "level" : "info" 
        }
    }
});

const categories = process.env.NODE_ENV;

module.exports = log4js.getLogger(categories);